> For the complete documentation index, see [llms.txt](https://docs.squads.so/main/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.squads.so/main/development/api/vault-check.md).

# Vault Check

Check if a given address maps to a Squad vault.

This endpoint allows the caller to specify a Solana address and return whether or not that address is a valid Squads V3 or V4 vault account, and can receive funds.

**Endpoint:**

```
https://4fnetmviidiqkjzenwxe66vgoa0soerr.lambda-url.us-east-1.on.aws/isSquad/<ADDRESS>
```

**Example Request:**

```
https://4fnetmviidiqkjzenwxe66vgoa0soerr.lambda-url.us-east-1.on.aws/isSquad/HFwi9HgNtFcMwNJPHa1czrPhuxeZFZ7G9tPQ1LqAd7sy
```

**Example Response:**

```json
{
  “isSquad”: true,
  “version”: "v4“
}
```

`isSquad` denotes whether the given address is a valid Squads vault or not. True means it is a valid V3 or V4 vault account.

`version` denotes which Squads program version the vault is from, if it is a valid vault. This will return V3, V4, or an empty string if `isSquad` is false.

### Important Notes:

* This endpoint does not check for ATA (associated token account) validity. **IF SENDING SPL TOKENS, YOU MUST CHECK THIS SEPARATELY.**
* There is a rate limit of 25 RPS.
* Do not expose the endpoint URL on your frontend. Either use SSR, or proxy the endpoint through a server you control.
* If possible, cache responses to your own infrastructure to avoid polling the endpoint for the same addresses again and again.

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.squads.so/main/development/api/vault-check.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
